import React from "react";
import { FaRegTrashAlt, FaPen } from "react-icons/fa";

const Todo = ({
  todos,
  completeTodo,
  removeTodo,
  editTodo,
  editId,
  handleEditChange,
  inputValue,
  setInputValue
}) => {
  return todos.map((todo) => (
    <div className="task">
      {editId === todo.id ? (
        <div className="add-form">
          <div className='form-control'>
            <input
              type="text"
              value={inputValue}
              onChange={(e) => setInputValue(e.target.value)}
            />
          </div>
          <button className="btn" onClick={() => editTodo(todo.id, inputValue)}>Edit</button>
        </div>
      ) : (
        <>
          <div className="task-body-content">
            <div
              key={todo.id}
              className={todo.isComplete ? "t-complete" : ""}
              onClick={() => completeTodo(todo.id)}
              style={{ cursor: 'pointer' }}
            >
              {todo.text}

            </div>
            <div>
              <FaPen onClick={() => handleEditChange(todo.id, todo.text)} style={{ cursor: 'pointer', margin: '0px 7px 0px 7px', fontSize: '12px' }} />
              <FaRegTrashAlt onClick={() => removeTodo(todo.id)} style={{ color: 'red', cursor: 'pointer' }} />
            </div>
          </div>
        </>
      )}
    </div>
  ));
};

export default Todo;
